<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<!-- Google Fonts Link for Chango and Open Sans -->
	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link href="https://fonts.googleapis.com/css2?family=Chango&family=Open+Sans:ital@0;1&display=swap" rel="stylesheet">
	
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
	
	<!-- External CSS -->
	<link rel="stylesheet" type="text/css" href="./assets/css/style.css">
	
	<!-- Favicon -->
	<link rel="icon" href="./assets/images/jpm-logo.png">
	
	<title>To Do App</title>
</head>

<body>
	<!-- HEADER -->
	<header>
		<nav id="navbar" class="navbar navbar-expand-lg container-fluid justify-content-center">
    		<h1>Stuff To Do's</h1>
		</nav>
	</header>
	
	<!-- MAIN CONTENT -->
	<main>
		<!-- STRETCH GOAL, can be removed in the future -->
		<section class="container">
			<div class="row">
				<p id="stretch" class="col-12 text-center">
					<!-- Stretch goal sentences -->
				</p>
			</div>
		</section>
		
		<!-- INPUT, ADD / CLEAR -->
		<section class="container">
			<div class="row">
				<div class="col-12">
					<form id="form" class="form-group">
						<input id="toDo" class="form-control" type="text">
						
						<div class="row">
							<div class="col-12">
								<button id="add" class="btn btn-lg btn-primary" type="button">Add</button>
								<!-- Big bug experienced via the type="submit". It should be type="button". -->
								<button id="clear" class="btn btn-danger" type="reset">Clear All</button>
							</div>
						</div>
					</form>
				</div>
			</div>
		</section>
		
		<!-- TO DO LIST -->
		<section class="container">
			<div class="row">
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
				<ul id="list" class="col-10 col-md-10">
					<!-- Location of tasks -->
				</ul>
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
			</div>
		</section>
		
		<!-- LIST INFO -->
		<section class="container">
			<div class="row">
				<h3 class="col-12">List Info:</h3>
			</div>
			
			<div class="row">
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
				<p id="array-length" class="col-10 col-md-10">
					<!-- How many are in the list -->
				</p>
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
			</div>
			
			<div class="row">
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
				<p id="first-entry" class="col-10 col-md-10">
					<!-- 2. First item in the list -->
				</p>
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
			</div>
			
			<div class="row">
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
				<p id="latest-entry" class="col-10 col-md-10">
					<!-- 3. Last item in the list -->
				</p>
				<div class="col-1 col-md-1">
					<!-- Buffer space -->
				</div>
			</div>		
		</section>		
	</main>
	
	<!-- FOOTER -->
	<footer class="footer">
		<div class="container-fluid text-center">
			<h5>Contact the Developer</h5>
			<ul>
				<li>
					<a href="https://gitlab.com/jpmariano" target="_blank">
						<img class="social-icons" src="./assets/images/gitlab-icon.png" alt="Link to the developer's GitLab">GitLab
					</a>
				</li>
				<li>
					<a href="https://www.linkedin.com/in/juan-paolo-mariano-16095a166/" target="_blank">
						<img class="social-icons" src="./assets/images/linkedin-icon.png" alt="Link to the developer's LinkedIn">LinkedIn
					</a>
				</li>
				<li>
					<a href="https://twitter.com/1paolomariano" target="_blank">
						<img class="social-icons" src="./assets/images/twitter-icon.png" alt="Link to the developer's Twitter">Twitter
					</a>
				</li>
			</ul>
			<p>
				<small>Copyright &copy; 2021 <a href="https://mariano-jp-portfolio.gitlab.io/s8s9/capstone1" target="_blank" alt="Link to the developer's Portfolio page">Juan Paolo Mariano</a> All Rights Reserved</small>
			</p>
		</div>
	</footer>
	
	<!-- Bootstrap JS Bundle -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
		
	<!-- External JS -->
	<script src="./assets/js/script.js"></script>
</body>
</html>